

 #ifdef C_FILE

 //
 // P18XXXX.H: Created 2003 01 21
 //    Based on the defined microcontroller: Include correct header file
 //
 // (C) Micrel Norway AS
 //     Proprietary firmware of Micrel Norway AS
 //
 


 // Note: The intention of the firmware listed below is to help users 
 //       get hands-on experience with Micrel Norway's products.
 
 //       No guarantee is implied as to the suitableness of the firmware 
 //       in a given application.
 
 //       For further information, please contact post@micrel.no




   #ifdef PIC18F4320
    #include "p18F4320.h"
   #endif

   #ifdef PIC18F242
    #include "p18F242.h"
   #endif 

   #ifdef PIC18C242
    #include "p18C242.h"
   #endif 

   #ifdef PIC18F252
    #include "p18F252.h"
   #endif 

   #ifdef PIC18C252
    #include "p18C252.h"
   #endif 

   #ifdef PIC18F452
    #include "p18F452.h"
   #endif 

 #endif
 
 #ifdef ASM_FILE
 
   #ifdef PIC18F4320
    #include "p18F4320.inc"
   #endif

   #ifdef PIC18F242
    #include "p18F242.inc"
   #endif 

   #ifdef PIC18C242
    #include "p18C242.inc"
   #endif 

   #ifdef PIC18F252
    #include "p18F252.inc"    
   #endif 

   #ifdef PIC18C252
    #include "p18C252.inc"
   #endif 

   #ifdef PIC18F452
    #include "p18F452.inc"
   #endif 

 #endif

 
