


 //
 // CRC.H: Created 2003 03 18
 //    CRC flags and constants, variables and prototypes (if any)
 //
 // (C) Micrel Norway AS
 //     Proprietary firmware of Micrel Norway AS
 //
 


 // Note: The intention of the firmware listed below is to help users 
 //       get hands-on experience with Micrel Norway's products.
 
 //       No guarantee is implied as to the suitableness of the firmware 
 //       in a given application.
 
 //       For further information, please contact post@micrel.no


//*************************************************
//
// Prototype declarations/Imported procedures
//
//*************************************************

#ifndef CRC_FILE
extern
#endif
void CRC_Calc_Crc_Out( void);

#ifndef CRC_FILE
extern
#endif
void  CRC_Byte( void);


//*************************************************
//
// Flags and variables
//
//*************************************************

 #ifdef CRC_FILE
  #pragma udata access crc_regs_accsess
 #else
  extern
 #endif
 volatile near union {
          struct {
             uint24 all;
          };
          struct {
             uint8 Present;
             uint8 L;
             uint8 H;
          };
       } FCS; 


 #ifndef CRC_FILE
  extern
 #endif
 volatile near union {
             struct {
                uint8 all;
             };
             struct {
                unsigned WAIT_CALC:1;
                unsigned GOT_VALUE:1;
                unsigned bit2:1;
                unsigned bit3:1;
                unsigned bit4:1;                
                unsigned bit5:1;
                unsigned bit6:1;
                unsigned bit7:1;
             };
          } CRC_Flags;

 #ifndef CRC_FILE
  extern
 #endif
 volatile near uint8 CRC_Wait_Calc_Pos;
